VAL(1)

NAME
val - validate an SCCS file

SYNOPSIS
val -
val [-s] [-mname] [-rsid] [-ytype] s.filename...

DESCRIPTION
The val utility determines if the specified s.files meet the characteristics specified by the indicated arguments. val can process up to 50 files on a single command line.

val has a special argument, `-', which reads the standard input until the end-of-file condition is detected. Each line read is independently processed as if it were a command line argument list.

val generates diagnostic messages on the standard output for each command line and file processed and also returns a single 8-bit code upon exit as described below.

-s  Silent. Suppresses the normal error or warning messages.

-mname
    Compares name with the %M% ID keyword in the s.file.

-rsid
    Checks to see if the indicated SID is ambiguous, invalid, or absent from the s.file.

-ytype
    Compares type with the %Y% ID keyword.

The 8-bit code returned by val is a disjunction of the possible errors, that is, it can be interpreted as a bit string where (moving from left to right) the bits set are interpreted as follows:

bit 0 = missing file argument
bit 1 = unknown or duplicate option
bit 2 = corrupted s.file
bit 3 = can not open file or file not in s.file format
bit 4 = the SCCS delta ID (SID) is invalid or ambiguous
bit 5 = the SID does not exist
bit 6 = mismatch between %Y% and -y argument
bit 7 = mismatch between %M% and -m argument

val can process two or more files on a given command line, and in turn can process multiple command lines (when reading the standard input). In these cases, an aggregate code is returned which is the logical OR of the codes generated for each command line and file processed.

SEE ALSO

admin(1), delta(1), get(1), help(1), prs(1)

DIAGNOSTICS
Use the SCCS help command for explanations (see help(1)).